Commit 25205737781ec0d73e57283f43e5d4fdf355a0dc

Carlos Martín Nieto 2016-03-03T10:08:00

test: make sure we retry the auth callback on all platforms We were missing this test on Windows, which meant we didn't notice that we never fixed the single authentication attempt it tries, nor its wrong return code. Enable this for the unix platforms as well over HTTP. We previously were doing it locally but disabled it on OS X due to issues with its sshd not accepting password authentication.

diff --git a/appveyor.yml b/appveyor.yml
index 166fa56..7186aaf 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -36,4 +36,8 @@ build_script:
 - cmd: |
     if "%GENERATOR%"=="MSYS Makefiles" (C:\MinGW\msys\1.0\bin\sh --login /c/projects/libgit2/script/appveyor-mingw.sh)
 test_script:
-- ps: ctest -V .
+- ps: |
+    ctest -V .
+    $env:GITTEST_REMOTE_URL="https://github.com/libgit2/non-existent"
+    $env:GITTEST_REMOTE_USER="libgit2test"
+    .\Debug\libgit2_clar -sonline::clone::cred_callback
diff --git a/script/cibuild.sh b/script/cibuild.sh
index de5df9e..029dcd4 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -56,3 +56,7 @@ if [ -e ./libgit2_clar ]; then
         ./libgit2_clar -sonline::clone::cred_callback || exit $?
     fi
 fi
+
+export GITTEST_REMOTE_URL="https://github.com/libgit2/non-existent"
+export GITTEST_REMOTE_USER="libgit2test"
+./libgit2_clar -sonline::clone::cred_callback || exit $?